Skip to main content
GET
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
transactions
List Billing Transactions
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/transactions \
  --header 'Authorization: Bearer <token>'
{
  "page": 123,
  "page_size": 123,
  "total": 123,
  "items": [
    {
      "amount": "<string>",
      "currency": "<string>",
      "direction": "<string>",
      "effective_at": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "balance_after": "<string>",
      "description": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Path Parameters

account_id
string<uuid>
required

Query Parameters

page
integer
default:1
page_size
integer
default:25

Response

page
integer
required

Current one-based page number

page_size
integer
required

Maximum items per page

total
integer
required

Total matching wallet transactions

items
PublicWalletTransactionResponse · object[]

Wallet transactions on this page